Skip to main content
GET
/
v1
/
enrichments
/
{enrichment_id}
/
params
/
{param_slug}
/
choices
Get choices for a parameter
curl --request GET \
  --url https://api.databar.ai/v1/enrichments/{enrichment_id}/params/{param_slug}/choices \
  --header 'x-apikey: <x-apikey>'
{
  "items": [
    {
      "id": "US",
      "name": "United States"
    },
    {
      "id": "GB",
      "name": "United Kingdom"
    },
    {
      "id": "DE",
      "name": "Germany"
    }
  ],
  "page": 1,
  "limit": 100,
  "has_next_page": true,
  "total_count": 249
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

enrichment_id
integer
required

The ID of the enrichment.

param_slug
string
required

The parameter name/slug (e.g. region, country, industry).

Query Parameters

q
string

Search query to filter choices by name.

page
integer
default:1

Page number, starting from 1.

Required range: x >= 1
limit
integer
default:100

Number of items per page. Default 100, max 500.

Required range: 1 <= x <= 500

Response

Paginated list of choices

items
ChoiceItem · object[]

List of choices for this page.

page
integer

Current page number.

limit
integer

Number of items per page.

has_next_page
boolean

Whether there are more pages available.

total_count
integer

Total number of choices available.